function ABCDEFdot = RepressilatorB2_System(t, ABCDEF, param)
// The LHY system

// Fetching LHY system parameters
alpha0 = param.alpha0;
alpha = param.alpha;
n = param.n;
beta = param.beta;

// Fetching solution
A = ABCDEF(1,:);
B = ABCDEF(2,:);
C = ABCDEF(3,:);
D = ABCDEF(4,:);
E = ABCDEF(5,:);
F = ABCDEF(6,:);

// Evaluation of initiation
//I = LHY_Initiation(L, H, Y, param);

// Compute Ldot

Adot = -ABCDEF(1) + alpha/(1+ABCDEF(6)^n) + alpha0;

Bdot = -beta*(ABCDEF(2) - ABCDEF(1));

Cdot = -ABCDEF(3) + alpha/(1+ABCDEF(2)^n) + alpha0;

Ddot = -beta*(ABCDEF(4) - ABCDEF(3));

Edot = -ABCDEF(5) + alpha/(1+ABCDEF(4)^n) + alpha0;

Fdot = -beta*(ABCDEF(6) - ABCDEF(5));

ABCDEFdot = [Adot; Bdot; Cdot; Ddot; Edot; Fdot];

endfunction
